> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product

> Update a product for a connected account.



## OpenAPI

````yaml put /stripe/connect/accounts/{accountId}/products/{productId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /stripe/connect/accounts/{accountId}/products/{productId}:
    put:
      tags:
        - Stripe Connect
      summary: Update Product
      description: Update a product for a connected account.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          description: The Stripe connected account ID
          schema:
            type: string
        - name: productId
          in: path
          required: true
          description: The Stripe product ID
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    name:
                      type: string
                    description:
                      type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  product:
                    type: object
                    properties:
                      productId:
                        type: string
                        example: prod_ABC123XYZ
                      productName:
                        type: string
                        example: Starter Plan Updated
                      description:
                        type: string
                        nullable: true
                        example: Updated description
                      taxBehavior:
                        type: string
                        example: exclusive
                      pricing:
                        type: object
                        properties:
                          amount:
                            type: string
                            example: '2999'
                          billingCycle:
                            type: string
                            example: month
                          currency:
                            type: string
                            example: usd
                          pricingModel:
                            type: string
                            example: base
                          metrics:
                            type: string
                            nullable: true
                            example: minutes
                          usageLimit:
                            type: integer
                            nullable: true
                            example: 100
                          overage:
                            type: string
                            nullable: true
                            description: >-
                              Overage price per unit in the smallest currency
                              unit (e.g., cents for USD)
                            example: '15'
                      creationDate:
                        type: integer
                        example: 1700000000
                      activeSubscriptionsCount:
                        type: integer
                        example: 5
                      status:
                        type: string
                        example: active
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````